# sc::SphericalTransformComponentCints Class Reference

Inheritance diagram for sc::SphericalTransformComponentCints:

List of all members.

## Public Member Functions
void | init (int a, int b, int c, double coef, int pureindex)
| Initialize this object.

## Member Function Documentation

void sc::SphericalTransformComponentCints::init | ( | int | a,
|  | int | b,
|  | int | c,
|  | double | coef,
|  | int | pureindex |
| ) |  |  | `[inline, virtual]`

Initialize this object.

This must be provided in all specializations of this class to establish the ordering between a, b and c and the index of the Cartesian basis function. Other things such as adjustment of the coefficient to account for normalization differences can be done as well. The default SphericalTransform::init() implementation requires that only the xl, yl and zl basis functions are normalized to unity.

Implements sc::SphericalTransformComponent.

The documentation for this class was generated from the following file:

- cints/tform.h